# Generated from record_collection-0.10.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name record_collection

Name: rubygem-%{gem_name}
Version: 0.10.4
Release: 1%{?dist}
Summary: Manage collections of records in Ruby on Rails
License: MIT
URL: https://github.com/bterkuile/record_collection
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec-rails) >= 3.1
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(pry) >= 0.1
# BuildRequires: rubygem(rails) >= 4.1
# BuildRequires: rubygem(rails) < 5
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(slim-rails)
# BuildRequires: rubygem(coffee-rails)
# BuildRequires: rubygem(sass-rails)
# BuildRequires: rubygem(font-awesome-rails)
# BuildRequires: rubygem(jquery-rails)
# BuildRequires: rubygem(js-routes)
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(capybara-screenshot)
# BuildRequires: rubygem(poltergeist)
# BuildRequires: rubygem(launchy)
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(spring)
# BuildRequires: rubygem(spring-commands-rspec)
# BuildRequires: rubygem(quiet_assets)
# BuildRequires: rubygem(simple_form)
# BuildRequires: rubygem(rspec-html-matchers)
BuildArch: noarch

%description
This gem helps you to work on subsets or rails models.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/record_collection.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.10.4-1
- Initial package
